User Leaves
Update Leave
Updates an existing leave request in your COR instance using its external ID
PUT
Updates an existing leave request in your COR instance using its external ID. The user and leave type must have been previously created through the integrations API.
Path Parameters
External leave request ID that was used when creating the leave request
Request Body Requirements
External user ID. The user must have been previously created through the integrations API.
External leave type ID. The leave type must have been previously created through the integrations API.
Updated start date and time in ISO 8601 format (e.g., “2026-05-13T00:00:00-00:00”)
Updated end date and time in ISO 8601 format (e.g., “2026-05-13T23:59:00-00:00”)
Whether the leave is for the entire day. When true, the time portion is typically ignored.
Known Errors
ZC001— Entity is not associated (leave request with the specified external ID not found)LeaveNotFoundError— No leave request found with the specified external ID for this sourceValidationError— Missing required fieldsUserNotFoundError— The specified user does not exist in the integration mappingsLeaveTypeNotFoundError— The specified leave type does not exist in the integration mappingsInvalidDateRangeError— End date must be after or equal to start date

